Summary: A system used to check the integrity of files on your system.
Name: tripwire
Vendor: Guardian Digital, Inc.
Packager:  Ryan W. Maple <ryan@guardiandigital.com>
Version: 2.3
Release: 1.3.1
Copyright: GPL
Group: Administration/Tools
Source0: tripwire-%{version}.bin.tar.gz
Source1: tripwire-policy-gd.txt-1.3.1
Source2: twcfg.txt.in
Source3: twinstall.sh.in
BuildRoot: /var/tmp/%{name}-%{version}-root


%description
Tripwire is a very valuable security tool for Linux systems, if it is
installed to a clean system.  Tripwire should be installed right after
the OS installation, and before you have connected your system to a
network (i.e., before any possibility exists that someone could alter
files on your system).

After installing this package, you should run "/etc/tripwire/twinstall.sh"
to generate cryptographic keys, and "tripwire --init" to initialize the
database.

If you are using the GD WebTool, all of the function (with the exception
of the inital setup) can be performed easily.  You can change the
administrator's address, update the database, and view reports.  You can
also schedule Tripwire to run at specified time intervals.

%prep
%setup -q


%install
  [ $RPM_BUILD_ROOT != / ] && rm -rf $RPM_BUILD_ROOT

  # Create target directories.
  mkdir -p $RPM_BUILD_ROOT/%{_mandir}/{man4,man5,man8}
  mkdir -p $RPM_BUILD_ROOT/%{_sbindir}
  mkdir -p $RPM_BUILD_ROOT/etc/tripwire
  mkdir -p $RPM_BUILD_ROOT/%{_var}/lib/tripwire/report

  # Install the binaries.
  install -m500 bin/*/siggen   $RPM_BUILD_ROOT/%{_sbindir}
  install -m500 bin/*/tripwire $RPM_BUILD_ROOT/%{_sbindir}
  install -m500 bin/*/twadmin  $RPM_BUILD_ROOT/%{_sbindir}
  install -m500 bin/*/twprint  $RPM_BUILD_ROOT/%{_sbindir}

  # Install the manual pages.
  install -m444 man/man4/* $RPM_BUILD_ROOT/%{_mandir}/man4/
  install -m444 man/man5/* $RPM_BUILD_ROOT/%{_mandir}/man5/
  install -m444 man/man8/* $RPM_BUILD_ROOT/%{_mandir}/man8/

  # Install the configuration files.
  install -m600 %{SOURCE1} $RPM_BUILD_ROOT/etc/tripwire/twpol.txt

  # Replace sbindir/vardir sequences.
  for i in twinstall.sh twcfg.txt ; do
	cat $RPM_SOURCE_DIR/${i}.in |\
	sed -e 's|@sbindir@|%{_sbindir}|g' |\
	sed -e 's|@vardir@|%{_var}|g' >\
	$RPM_BUILD_ROOT/etc/tripwire/${i}
  done

  # Set some final permissions.
  chmod 600 $RPM_BUILD_ROOT/etc/tripwire/twinstall.sh
  chmod 600 $RPM_BUILD_ROOT/etc/tripwire/twcfg.txt
  chmod 444 COPYING ChangeLog MAINTAINERS README Release_Notes \
            TRADEMARK WISHLIST

%files
  %attr(0444,root,root) %doc COPYING ChangeLog MAINTAINERS README
  %attr(0444,root,root) %doc Release_Notes TRADEMARK WISHLIST
  %attr(0444,root,root) %doc %{_mandir}/*/*

  %attr(0500,root,root) %{_sbindir}/siggen
  %attr(0500,root,root) %{_sbindir}/tripwire
  %attr(0500,root,root) %{_sbindir}/twadmin
  %attr(0500,root,root) %{_sbindir}/twprint

  %attr(0700,root,root) %dir %{_var}/lib/tripwire
  %attr(0700,root,root) %dir %{_var}/lib/tripwire/report
  %attr(0700,root,root) %dir /etc/tripwire
  %attr(0500,root,root) %config /etc/tripwire/twinstall.sh
  %attr(0600,root,root) %config /etc/tripwire/twcfg.txt
  %attr(0600,root,root) %config /etc/tripwire/twpol.txt

%clean
  [ $RPM_BUILD_ROOT != / ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Apr 14 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.3, Release 1.3.1
  - Change 1.1 references to Community 2 in policy file.

* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Mon Mar 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.3, Release 1.5.3
  - Change ADMINMAIL to 'admin' (instead of 'root').

* Wed Feb 18 2003 Pete O'Hara <pete@guardiandigital.com>
- Release 1.5.2
  - changed /etc/passwd from $(SEC_CONFIG) to $(SEC_CRIT)

* Mon Feb 10 2003 Pete O'Hara <pete@guardiandigital.com>
- Release 1.5.1
  - Removed monitoring /var/log

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).

* Mon Feb 11 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.2.0
  - Initial build for EnGarde v1.2 (Parry).

* Thu Nov 08 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.3, Release 1.1.[23]
  -  Update policy for Balestra.
  -  Clean up spec a little bit.

* Mon Sep 10 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.3, Release 1.1.1
  - Set the umask to something same in twinstall.sh.in.

* Tue Aug 07 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.3, Release 1.1.0
  - Initial build for EnGarde v1.1 (Balestra).

* Wed Mar 28 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.3, Release 1.0.2
  - Removed %post which set the HOSTNAME.
  - Hacked up the twinstall.sh script to fix the hostname in twpol.txt.

* Fri Mar 02 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.3, Release 1.0.1
  - Initial RPM, based on Red Hat spec file.

